DF(1)

BEZEICHNUNG
df - Anzeige der Festplattenbelegung

ÜBERSICHT
df [OPTION]... [DATEI]...

BESCHREIBUNG
Diese Handbuchseite beschreibt die GNU-Version von df. df zeigt den verfügbaren Platz auf den Dateisystemen an, die die als Argumente übergebenen Dateinamen enthalten. Wenn kein Dateiname übergeben wurde, wird der verfügbare Platz auf allen derzeit eingehängten Dateisystemen angezeigt. Standardmäßig wird der Platz in 1K-Blöcken angezeigt, falls die Umgebungsvariable POSIXLY_CORRECT nicht gesetzt ist. In diesem Fall werden 512 Byte große Blöcke verwendet.

Falls ein Argument dem absoluten Dateinamen eines Geräteknotens entspricht, der ein eingehängtes Dateisystem enthält, zeigt df den verfügbaren Platz auf diesem Dateisystem anstelle des Dateisystems an, das den Geräteknoten enthält (welches immer das Wurzeldateisystem ist). Diese Version von df kann den verfügbaren Platz auf ausgehängten Dateisystemen nicht anzeigen, weil dafür auf den meisten Systemen eine sehr profunde Kenntnis von Strukturen des Dateisystems notwendig ist, die zudem nicht portierbar ist.

OPTIONEN

Anzeige von Informationen über die Dateisysteme, auf denen sich jede DATEI befindet, oder standardmäßig alle Dateisysteme.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Unechte Dateisysteme einschließen

-B, --block-size=GRÖSSE
    Größen mit GRÖSSE skalieren, bevor sie ausgegeben werden. Beispielsweise gibt »-BM« Größen in Einheiten von 1.048.576 Byte aus. Siehe das Format von GRÖSSE unten.

--total
    Gesamtsumme erstellen

-h, --human-readable
    Größen in menschenlesbarem Format ausgeben (z. B. 1K 234M 2G)

-H, --si
    Genauso, aber Potenzen von 1000 statt 1024 benutzen

-i, --inodes
    Inode‐Informationen statt der Block‐Benutzung auflisten

-k  Wie --block-size=1K

-l, --local
    Liste auf lokale Dateisysteme begrenzen

--no-sync
    Nicht »sync« vor Erlangen der Benutzungsinformation aufrufen (Standardvorgabe)

--output[=FELDLISTE]
    das durch FELDLISTE angegebene Ausgabeformat verwenden oder alle Felder ausgeben, falls FELDLISTE nicht angegeben wurde

-P, --portability
    POSIX‐Ausgabeformat verwenden

--sync
    »sync« vor Erlangen der Benutzungsinformation aufrufen

-t, --type=TYP
    Liste auf Dateisysteme des Typs TYP begrenzen

-T, --print-type
    Typ des Dateisystems ausgeben

-x, --exclude-type=TYP
    Liste auf Dateisysteme begrenzen, die nicht vom Typ TYP sind

-v  (ignoriert)

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Einheit der angezeigten Werte ist die erste verfügbare GRÖSSE aus --block-size oder einer der Umgebungsvariablen DF_BLOCK_SIZE, BLOCK_SIZE und BLOCKSIZE. Anderenfalls ist die voreingestellte Einheit 1024 Byte (oder 512, falls POSIXLY_CORRECT gesetzt ist).

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10M ist 10*1024*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000).

FELDLISTE ist eine Komma-getrennte Liste von Spalten, die eingeschlossen werden sollen. Gültige Feldnamen sind: »source«, »fstype«, »itotal«, »iused«, »iavail«, »ipcent«, »size«, »used«, »avail«, »pcent« und »target« (siehe Info-Seite).

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie und Paul Eggert.

FEHLER BERICHTEN
Berichten Sie Fehler in df (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von df an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für df wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und df auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'df invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.